# _Join\[A: [Any](builtin-Any) #share\]
<span class="source-link">[[Source]](src/promises/promise.md#L285)</span>
```pony
actor tag _Join[A: Any #share]
```

## Constructors

### create
<span class="source-link">[[Source]](src/promises/promise.md#L290)</span>


```pony
new tag create(
  p: Promise[Array[A] val] tag,
  space: USize val)
: _Join[A] tag^
```
#### Parameters

*   p: [Promise](promises-Promise)\[[Array](builtin-Array)\[A\] val\] tag
*   space: [USize](builtin-USize) val

#### Returns

* [_Join](promises-_Join)\[A\] tag^

---

## Public Behaviours

### apply
<span class="source-link">[[Source]](src/promises/promise.md#L293)</span>


```pony
be apply(
  a: A)
```
#### Parameters

*   a: A

---

